doctrine:

    dbal:
        # configure these for your database server
        driver: 'pdo_mysql'
        server_version: '5.7'
        charset: utf8mb4
        default_table_options:
            charset: utf8mb4
            collate: utf8mb4_unicode_ci

    orm:
        auto_mapping: true
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.default
        mappings:
            App:
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                is_bundle: false
                prefix: 'App\Entity'
                alias: App
        dql:
            string_functions:
                MATCH_AGAINST: App\Service\Doctrine\MatchAgainst